GETPW(3)

NAME
getpw - get name from uid

SYNOPSIS
getpw(uid, char *buf);

DESCRIPTION
The getpw function is made obsolete by getpwuid(3). It is available from the compatibility library, libcompat.

The getpw() function reads the file /etc/passwd, and if it finds the specified uid, copies the password entry line into the string pointed to by buf. the null terminated entry line from the password database, and appends the NUL character.

RETURN VALUES
The getpw() function returns the zero if successful, otherwise a non-zero if the entry does not exist.

FILES

/etc/passwd

SEE ALSO
getpwent(3), passwd(5)

HISTORY
A getpw() function appeared in AT&T UNIX.